## LassoIdWsf2DiscoSvcMetadata LassoIdWsf2DiscoSvcMetadata — <disco:SvcMetadata> |

## Functions

LassoIdWsf2DiscoSvcMetadata * | lasso_idwsf2_disco_svc_metadata_new ()
LassoIdWsf2DiscoSvcMetadata * | lasso_idwsf2_disco_svc_metadata_new_full ()

## Types and Values

struct | LassoIdWsf2DiscoSvcMetadata

## Description

Figure 165. Schema fragment for disco:SvcMetadata

    <xs:complexType name="SvcMetadataType">
      <xs:sequence>
        <xs:element ref="Abstract"                              />
        <xs:element ref="ProviderID"                            />
        <xs:element ref="ServiceContext"  maxOccurs="unbounded" />
      </xs:sequence>
      <xs:attribute name="svcMDID" type="xs:string" use="optional" />
    </xs:complexType>

## Functions

### lasso_idwsf2_disco_svc_metadata_new ()

    LassoIdWsf2DiscoSvcMetadata *
    lasso_idwsf2_disco_svc_metadata_new (void);

Creates a new LassoIdWsf2DiscoSvcMetadata object.

#### Returns

a newly created LassoIdWsf2DiscoSvcMetadata object

### lasso_idwsf2_disco_svc_metadata_new_full ()

    LassoIdWsf2DiscoSvcMetadata *
    lasso_idwsf2_disco_svc_metadata_new_full
                                   (const gchar *service_type,
                                    const gchar *abstract,
                                    const gchar *provider_id,
                                    const gchar *soap_endpoint);

## Types and Values

### struct LassoIdWsf2DiscoSvcMetadata

    struct LassoIdWsf2DiscoSvcMetadata {
    	LassoNode parent;

    	/* elements */
    	char *Abstract;
    	char *ProviderID;
    	GList *ServiceContext; /* of LassoIdWsf2DiscoServiceContext */
    	/* attributes */
    	char *svcMDID;
    };